/*
 Theme Name:   HILR Proposal App
 Theme URI:    http://hilr.harvard.edu/
 Description:  A simple theme to support styling forms and views
 Author:       Frederick Hewett
 Author URI:   https://twitter.com/fred02138
 Template:     twentyseventeen
 Version:      1.0.0
 License:      GNU General Public License v2 or later
 License URI:  http://www.gnu.org/licenses/gpl-2.0.html
 Tags:         light, dark, two-columns, right-sidebar, responsive-layout, accessibility-ready
 Text Domain:  hilr_proposal_app
*/
html, body,
button,
input,
select, option,
textarea {
	font-family:  Georgia, "Times New Roman", Garamond, serif;
}

h2.gsection_title {
	color: #000;
	font-weight: bold;
	font-family:  Georgia, "Times New Roman", Garamond, serif !important;
}

/* for inputs, make the border more definite and the text a little darker than parent's */
input[type="text"],
input[type="email"],
input[type="url"],
input[type="password"],
input[type="search"],
input[type="number"],
input[type="tel"],
input[type="range"],
input[type="date"],
input[type="month"],
input[type="week"],
input[type="time"],
input[type="datetime"],
input[type="datetime-local"],
input[type="color"],
textarea {
	color: #777;
	border: 2px solid #aaa;
}


/*these rules allow for a wider display */
@media screen and (min-width: 48em) {
	.wrap, #primary {
		max-width: 1250px;
	}
}

#page .site-content .wrap #primary {
	max-width: 1250px;
}
div.gform_wrapper {
	max-width: 80%;
	margin: auto;
}

.wrap>header {  /* excess whitespace on homepage */
	display: none
}
@media screen and (min-width: 30em) {
.page-one-column .panel-content .wrap {
    max-width: 1250px;
	}
}
@media screen and (min-width: 48em) {
	.panel-content .wrap {
    padding-bottom: 4.5em;
    padding-top: 2em;
	}
}
	
/* rule to remove excess whitespace on inbox page at top */
@media screen and (min-width: 48em) {
.page.page-one-column .entry-header, .twentyseventeen-front-page.page-one-column .entry-header,
.archive.page-one-column:not(.has-sidebar) .page-header {
    /* margin-bottom: 4em; */
}}
/* more whitespace reduction -- banner/branding */
@media screen and (min-width: 30em) {
.site-branding {
    padding: 1em 0;
}}
/* rule to remove excess whitespace on inbox entry page */
@media screen and (min-width: 48em) {
.site-content {
    padding: 0 0 0;
}}
/* reduce vertical padding on main nav menu */
@media screen and (min-width: 48em) {
.main-navigation a {
    padding: 0 1.25em;
}
}

/* use more real estate -- get rid of excess whitespace -- Gravity Flow Inbox entry */
.entry-detail-view div.gform_wrapper {
	max-width: 95%;
}

/* bigger text for field description in main form */
.gfield_description, .gsection_description {
	font-size: 1em !important;
}

/* remove check mark, x, undo loop on approval buttons */
.gravityflow-action-buttons>button>i.fa {
	display:none
}

div.wrap.gf_entry_wrap.gravityflow_workflow_detail {
	margin-left: 0;
	padding-left: 0;
}
/* hide gravity view title */
.entry-header > .entry-title {
	display: none;
}
/* center the nav menu */
.navigation-top>.wrap {
	text-align: center;
}
#site-navigation {
	display: inline-block;
}
/* more styles for top nav */
#top-menu .menu-item.current-menu-item > a {
	color: white;
}
#top-menu .menu-item.current-menu-item {
	color: white;
	background-color: #222;
	padding: 12px 0;
	margin-bottom: 0;
}
.navigation-top > .wrap {
	padding-top: 0;
	padding-bottom: 0;
}
/* nav "tabs" */
li.menu-item-object-page,li.menu-item-object-custom {
	padding: 12px 0;
	background-color: #d88080;
	vertical-align: central;
	font-weight: normal;
	border-radius: 6px 6px 0 0
}
li.menu-item-object-page a, li.menu-item-object-custom a {
	color: #f0f0f0 !important;
	cursor: pointer;
}
li.menu-item-object-page.page_item {
	background-color: #a12334 !important;
}
li.menu-item-object-page.page_item a {
	color: white !important;
	font-weight: bold;
	cursor: pointer;
}
li.menu-item-object-page:hover,li.menu-item-object-custom:hover {
	background-color: #ea9292;
	font-weight: bold;
}

@media screen and (min-width: 48em) {
.page.page-one-column .entry-header, .twentyseventeen-front-page.page-one-column .entry-header, .archive.page-one-column:not(.has-sidebar) .page-header {
    margin-bottom: 0;
}}

/* discussion header */
.gv-table-single-container .gravityflow-dicussion-item-name {
	font-size: 0.9em;
	font-weight: 700;
	padding-right: 18px;
}
.gv-table-single-container .gravityflow-dicussion-item-date {
	font-size: 0.9em;
	font-weight: 600;
	color: gray;
}

.hilr-discussion span {
	font-size: 0.9em;
	font-weight: 700;
}

/* apportion the table cells of the list of books in the course proposal form */
.hilr-booklist td[class*="_cell1"] { /* author */
	width: 30%;
}
.hilr-booklist td[class*="_cell2"] { /* title */
	width: 30%;
}
.hilr-booklist td[class*="_cell3"] { /* publisher */
	width: 15%;
}
.hilr-booklist td[class*="_cell4"] { /* year */
	width: 10%;
}
.hilr-booklist td[class*="_cell5"] { /* only this edition */
	width: 5%;
}
.hilr-booklist tbody td[class='gfield_list_icons'] { /* add icon */
  width: 16px;
}
/* Keep the booklist column headers close to their inputs */
.hilr-booklist thead th {
	vertical-align: bottom !important;
}

/* hide most of the buttons on the rich text editor toolbar */
.hilr-hide-rte-tools .mce-btn {
	display: none !important;
}
.hilr-hide-rte-tools .mce-btn[aria-label^="Italic"] {
	display: inline-block !important;
}

.hilr-hide-rte-tools .mce-btn[aria-label^="Special character"] {
	display: inline-block !important;
}
.hilr-hide-toggle .mce-btn[aria-label^="Toolbar Toggle"] {
	display: none !important;
}

.sgl-prev select {
	height: 36px;
}
.sgl-email input {
	width: 100% !important;
}
.sgl-phone input {
	width: 100% !important;
}
.sgl-prev input {
	width: 10% !important;
}
.sgl-prev .gfield_description {
	display: inline
}

/* make the edit link in a Gravity View display stand out*/
.gv-field-2-edit_link td a {
	color: blue;
	font-weight: bold;
}

/* fix the table cell vertical alignment on the inbox page */
.gravityflow-inbox tbody tr {
	vertical-align: bottom;
}

.hilr-view-course-title {
	font-size: 1.5em;
}

/* style the injected textarea and its submit button on the single entry view page */
#hilr-comment-input {
	height: 180px;
	width: 60%;
	margin: 0 auto 10px auto;
}
.hilr-add-comment-button {
	float: right;
	margin-top: 8px;
	margin-left: 8px;
}
.hilr-discussion-scroller {
	max-height: 350px;
	overflow-y: auto;
	border: solid 1px #ddd;
}

/* style the "Save and Continue" link on the form to look like the Submit button */
#gform_save_2_link {
	padding: 11px;
	color: white;
	font-weight: bold;
	background-color: black;
}
/* make the GravityView edit page look more like the Gravity Form */
.gv-edit-entry-wrapper .gfield_label {
	background-color: #ebf2ff;
	width: 100%;
	padding: 10px;
}
/* make visited links green in the proposal listings */
.gv-table-multiple-container a:visited {
	color: #4C4;
}
/* style for injected reset button on main form */
#hilr_reset_btn {
	margin-left: 30px;
}

.hilr-catview-title {
	font-size: 1.5em;
	font-weight: bold;
}
.hilr-catview-sglname {
	clear: both;
	font-weight: 600;
}
.hilr-catview-course-number {
	font-family: arial;
	font-weight: 100;
}
.hilr-catview-nodisplay {
	display: none;
}
.hilr-catview-duration-header {
	background-color: black;
	height: 62px;
	font-size: 34px;
	font-family: sans-serif;
	padding: 8px 0 0 10px;
	color: white;
	vertical-align: central;
}
.hilr-catview-slot-header {
	background-color: #d2d3d5;
	height: 35px;
	color: black;
	font-size: 21px;
	font-style: italic;
	padding: 3px 0 0 10px;
	margin: 15px 0;
}


.site-branding {
	background-image: url(https://ccsubmit.com/wp-content/themes/hilrprop-theme/images/banner-no-shield.jpg);
	background-repeat: no-repeat;
    background-position: 21px 0;
    font-size: 14px;
    padding: 0 2em;
    max-width: 1000px;
    margin-left: auto;
    margin-right: auto;
	margin-top: 10px;
	margin-bottom: 10px;
	height: 100px;
}

/* hide the time slot in the At a Glance view */
.hilr-glance-slot, .hilr-glance-duration {
	display: none;
}
.hilr-glanceview-header {
	background-color: black;
	color: white;
	font-weight: 400;
	padding: 5px;
	text-transform: uppercase;
}
.hilr-glance-full {}
.hilr-glance-first {
	background-color: #ddd;
}
.hilr-glance-second {
	background-color: #999;
}
.hilr-admin-btn {
	margin: 5px 0;
}
.hilr-admin-number {
	width: 80px !important;
	display: inline !important;
}

.hilr-slot-save-btn {
	background-color: #7a7;
	padding: 3px;
	margin:  0 4px;
}
.hilr-slot-cancel-btn {
	background-color: #b66;
	padding: 3px 8px;
	margin: 0 4px;
}
.hilr-scheduling-hidden {
	display:none; /* hidden column in scheduling table */
}
.hilr-sched-tps {
	font-size: 0.9em;
}
.hilr-sched-tps:hover {
	font-weight: 600;
	font-weight: 0.8em;
}
.hilr-flex-duration {
	color: #009600;
}
/* this is for in-place editing on the scheduling view */
.gv-field-2-55 {
	min-width: 250px;
}
.gv-field-2-69, .gv-field-2-27 {
	min-width: 150px;
}
.gv-field-2-69 {
	text-align: center;
}
.gv-field-2-67 {
	min-width: 205px;
}
.gv-field-2-55 select, .gv-field-2-3 select, .gv-field-2-27 select, .gv-field-2-69 select {
	height: 22px;
}
td.gv-field-2-55, td.gv-field-2-3, td.gv-field-2-27, td.gv-field-2-69 {
	cursor: pointer;
}
.gv-field-2-3 select {
	max-width: 60%;
}
/* let the 'either 1st or 2nd half' choice be auto-width */
#label_2_3_4 {
	display: inline;
}
/* prevent truncating display of the bottom of radio buttons in the main form */
[class*=gchoice_2_] input {
    margin-top: -1px !important;
}
/* suppress date created column on workflow status page (?) */
.column-date_created {
	display:none;
}
/* make the checkbox for "Print timeline" in the workflow controls align correctly with its label */
input[name="print_notes"] {
	display: block;
	clear: left;
	float: left;
}
label[for="print_notes"], .gravityflow_workflow_wrap .detail-view-print .button {
	float: left;
}
#sched_grid_0, #sched_grid_1, #sched_grid_2 {
	width: 90%;
	margin: 0 auto;
}
#sched_grid_0 td {
    text-align:	center;
    vertical-align:	middle;
}
#hilr-toggle-admin-btn {
	font-size: 12px;
	margin: 10px 0;
}
#hilr-admin-warning-frame {
	border:none;
}
.gv-field-2-edit_link { /* hide the edit link on all proposals single entry view */
	display: none;
}
#input_2_58 { /* input for workload in main form */
	width: 250px;
}
#hilr_course_names { /* li on Scheduling page (defined in schedgrid.php) */
	font-size: 12px;
	margin-left: 20px;
}
table.gravityflow-step-user_input .hilr-hide-for-committee {
	display: none;
}

.ui-tooltip li {
	font-size: 11px;
	margin-left: 20px;
}

li label {
	white-space: nowrap !important;
}

.hilr-cc-usr #wp-admin-bar-gravityview {
	display: none;
}
.hilr-cc-usr #wp-admin-bar-gform-forms {
	display: none;
}

.hilr-further-info-head {
	margin: 16px 16px -28px 16px !important;
}

/* add off-white background on gravity view table cells (but not headers)

.gv-table-view td {
	background-color: #fffff7;
}

/* buttons */
input.gform_button,
a.gform_save_link,
#hilr_reset_btn,
#hilr-copy-cat-to-clipboard-btn,
#hilr-copy-glance-to-clipboard-btn,
.gravityflow-action-buttons input[type=submit].button,
.gravityflow-action-buttons input[type=button].button,
.gravityflow-action-buttons button[type=submit].button,
.gravityflow-action-buttons button[type=button].button,
.hilr-add-comment-button,
.hilr-admin-btn,
.gv-search-button
{
    font: 15px "Tahoma", sans-serif;
    color: #fff !important;
    padding: 12px 16px;
    border: 1px solid #808080 !important;
    text-decoration: none;
    text-shadow: 0 1px 0 rgba(0,0,0,0.3);
    
    -moz-border-radius: 5px !important;
    -webkit-border-radius: 5px !important;
    border-radius: 5px !important;
    -moz-background-clip: padding;
    -webkit-background-clip: padding-box;
    background-clip: padding-box;
    background-color: #008fcf;
    box-shadow:
		0 1px 0 rgba(0,0,0,.08),
        inset 0 1px 2px rgba(255,255,255,.67),
        inset 0 -1px 0 rgba(0,0,0,.14) !important;
    background-image: -moz-linear-gradient(0deg, #811314 0%, #c14455 100%);
    background-image: -o-linear-gradient(0deg, #811314 0%, #c14455 100%);
    background-image: -webkit-linear-gradient(0deg, #811314 0%, #c14455 100%);
    background-image: linear-gradient(0deg, #811314 0%, #c14455 100%);
    cursor: pointer !important;
	font-weight: bold
}
.gravityflow-action-buttons input[type=button].button.button-large.button-primary
{
    padding: 0 10px;
    margin: 5px 0;
}

#hilr_reset_btn, #hilr_discard_comment_btn {
    background-image: -moz-linear-gradient(0deg, #888 0%, #333 100%);
    background-image: -o-linear-gradient(0deg, #888 0%, #333 100%);
    background-image: -webkit-linear-gradient(0deg, #888 0%, #333 100%);
    background-image: linear-gradient(0deg, #888 0%, #333 100%);
}

li>.gfield_label {
	white-space: pre-wrap !important;
}

.postbox-container .gravityflow-action-buttons button[type=submit],
.postbox-container .gravityflow-action-buttons button[type=button],
.postbox-container .gravityflow-action-buttons input[type=submit] {
	padding-top: 0;
	padding-right: 10px;
	padding-bottom: 0;
	padding-left: 10px;
	margin-top: 5px;
}

input.gform_button:hover, a.gform_save_link:hover, #hilr_reset_btn:hover, input[type=submit]:hover {
	opacity: 0.7;
}

/* search box on all proposals view page */
.gv-search-box p input, .gv-search-box p select {
	height: 28px;
}
form.gv-widget-search {
	width: 100%;
}
/* allow the columns of the table on scheduling page to expand when item is double-clicked */
#hilr-sched-table table.gv-table-view {
	table-layout: auto;
}
/* hide the magnifying glass on the wp admin bar */
#wp-admin-bar-search {
	max-height: 0;
}
/* make the textarea for adding comments stand out more on the page */
#hilr_comment_input {
	background-color: #ffc;
}
/* make form submission error notice more visible */
.gform_wrapper div.validation_error {
	color: #dd0000 !important;
	font-size: 1.3em !important;
}
.hilr-val-err-more {
	font-size: 0.8em;
	font-weight: normal;
	padding-top: 7px;
}
.hilr-word-count {
	font-weight: normal;
}
/* don't display the 'show empty fields checkbox */
.entry-detail-view #gentry_display_empty_fields,label[for='gentry_display_empty_fields'] {
	display: none;
}
.print-only-block {
	display: none;
}
/* printing rules */
@media print {
	* { /* this fixes background colors (Chrome) */
		 -webkit-print-color-adjust: exact;
	}
	.print-only-block {
		display: block !important;
	}
	.gv-table-container tfoot, .entry-title, #colophon {
		display: none;
	}
	.gv-table-container table tbody td {
		padding: 0 !important;
		font-size: 0.8em;
	}
	
	#masthead, .gv-sort, .hilrcc-no-print {
		display: none;
	}
	
	/* scheduling page */
	#sched_grid_1, #sched_grid_2 {
		display: table !important;
	}
	#sched_grid_2 {
		page-break-after: always;
	}
	.parent-pageid-373 a.gv-sort {
		display: none;
	}
	
	.parnt-pageid-373 div.custom-header {
		display: none;
	}
	
	.hilr-sched-info, .hilr-sched-room-req {
		display: table-cell !important;
	}
	
	.parent-pageid-373 a {
		text-decoration: none;
	}
}





